Name:           jchardet
Version:        1.1
Release:        %mkrel 15
Summary:        Java port of Mozilla's automatic character set detection algorithm

Group:          Development/Java
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            https://jchardet.sourceforge.net/
Source0:        https://download.sourceforge.net/jchardet/%{version}/jchardet-%{version}.zip
Source1:        https://repo1.maven.org/maven2/net/sourceforge/%{name}/%{name}/1.0/%{name}-1.0.pom
BuildArch:      noarch

BuildRequires:  maven-local

%description
jchardet is a java port of the source from Mozilla's automatic charset
detection algorithm. The original author is Frank Tang. What is available
here is the java port of that code. The original source in C++ can be found
from http://lxr.mozilla.org/mozilla/source/intl/chardet/. More information can
be found at https://www.mozilla.org/projects/intl/chardet.html.

%package javadoc
Summary:    API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

cp %{SOURCE1} pom.xml

# fix up the provided version
%pom_xpath_set /pom:project/pom:version %{version}

# remove hard-coded compiler configuration
%pom_remove_plugin :maven-compiler-plugin

# remove distributionManagement.status from pom (maven stops build
# when it's there)
%pom_xpath_remove pom:distributionManagement

# create proper dir structure
mkdir -p src/main/java/org/mozilla/intl/chardet
mv src/*java src/main/java/org/mozilla/intl/chardet

%build
%mvn_build -- -Dmaven.compiler.release=8

%install
%mvn_install


%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri May 24 2024 ns80 <ns80> 1.1-15.mga10
+ Revision: 2067087
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1-14.mga9
+ Revision: 1827738
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 1.1-13.mga9
+ Revision: 1700299
- Build with release flag

* Thu Sep 10 2020 daviddavid <daviddavid> 1.1-12.mga8
+ Revision: 1624160
- Allow building against JDK 11
- Fix https usage

* Wed Feb 12 2020 umeabot <umeabot> 1.1-11.mga8
+ Revision: 1491718
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-10.mga7
+ Revision: 1263721
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.1-8.mga6
+ Revision: 981124
- First rebuild of the java stack
- sync package jchardet with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 743261
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.1-5.mga4
+ Revision: 559870
- Build with xmvn
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 355229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 147857
- Adapt to mageia guidelines
+ gil <gil>
- imported package jchardet

